Category Archives: Ubuntu

Gnome-DO 0.8

Gnome-DO 0.8

Gnome-DO 0.8

Hace unas horas el equipo de Gnome-DO liberó la última versión estable de este lanzador para escritorios linux, la 0.8, que incluye nuevos plugins, una mejora en la rapidez y eficiencia de búsquedas, reflejado en un menor uso de la memoria, mediante la inclusión de nuevos algoritmos.

En lo personal desde que uso esta aplicación la usabilidad de mi escritorio ha crecido de sobremanera, siendo un usuario acostumbrado a teclear y que piensa que mover la mano derecha hacia el mouse quita tiempo. La verdad es que esta es una de las aplicaciones que realmente merecen la pena. Con ella incluso puedo postear a twitter, manejar las sesiones, los gestores de ventana, hacer búsquedas, ejecutar comandos, controlar la música, etc etc etc.

Para instalarlo en Ubuntu 8.10 agregamos y mantener las versiones más recientes agregamos los siguientes repositorios

deb http://ppa.launchpad.net/do-core/ppa/ubuntu intrepid main
deb-src http://ppa.launchpad.net/do-core/ppa/ubuntu intrepid main

Si no está instalado hay que ejecutar
sudo aptitude install gnome-do
Si ya lo tienen con un simple safe-upgrade pueden obtener la versión más reciente.

Cómo: Instalar KDE 4.2 en Ubuntu 8.10

KDE 4.2 en Malegra

KDE 4.2 en Malegra

Aunque esta versión de KDE ya está incluida en la próxima de Ubuntu (9.04 – Jaunty Jackalope) en Kubuntu.org proporcionan instrucciones para poder instalarlo en Ibex contando con un repositorio de launchpad (es decir, no de los oficiales de ubuntu o canonical). Ejecutamos los siguientes comandos:
sudo nano /etc/apt/sources.list
Pegamos lo siguiente en una nueva línea

deb http://ppa.launchpad.net/kubuntu-experimental/ubuntu intrepid main
Presionen Ctrl + O para guardar, Ctrl + x para salir.
Ahora importamos la llave de autentificación de paquetes
gpg --keyserver keyserver.ubuntu.com --recv-keys 493B3065 && gpg --export -a 493B3065 | sudo apt-key add -
Ahora actualizamos la lista de paquetes
sudo aptitude update
Instalamos el paquete correspondiente (si es que no tenemos instalado KDE)
sudo aptitude install kubuntu-desktop
Si ya lo tenemos instalado es recomendable desinstalar koffice y los plasmoids, y posteriormente con un upgrade realizar el cambio.
Llevo usándolo unas 4 horas y por primera vez me atrevo a decir que KDE me gusta :).

Fuente

Ubuntu Pocket Guide en PDF

Para todos aquellos interesados en conocer en buena forma cómo está organizado Ubuntu, se encuentra disponible en PDF la guía de bolsillo de Ubuntu. Enfocada en competencias del núcleo y el conocimiento necesario para ser un experto en Ubuntu.
El libro cuenta con los siguientes capítulos

  1. Instalando Ubuntu
  2. Configurando Ubuntu
  3. Manejo del entorno gráfico
  4. Usuarios y Sistema de Archivos
  5. Línea de comandos
  6. Administración de Software
  7. Seguridad
  8. Lamentablemente sólo está en inglés.

Enlace

Skype + PulseAudio en Ubuntu 8.10

Bueno, hace ya un rato que no uso Ubuntu, pero carajo, es la más popular y muchos usuarios están interesados en instalarla. Ayer realicé una instalación sin percatarme de que el skype no permitía realizar llamadas debido a un error con la reproducción de sonido. La queja llegó hoy, pero afortunadamente es algo trivial, aunque molesto.

El error es causado por el ya problemático e inclusivo (en Ubuntu, porque yo lo uso en Debian) Pulseaudio. Al parecer el dispositivo de audio no es reconocido por el skype, pero basta con teclear 3 líneas.
Primero matamos a todos los procesos del pulse
killall pulseaudio
Ahora desinstalamos — sin miedo
sudo aptitude remove pulseaudio
Ahora reinstalamos ¬¬. Si se dieron cuenta al desinstalar removió una aplicación llamada ubuntu-desktop, por tanto hay que reinstalarla también
sudo aptitude install pulseaudio ubuntu-desktop
Listo.

Editado 14/Dic/2008: Si el problema persiste abre las opciones de Skype y en la sección dispositivos de audio especifique pulseaudio en todas las cajas.

Resumen de Wiktekz

Ha pasado un mes desde que se creó wikitekz para la documentación técnica colaborativa. Inició como un espacio personal para tener a la mano tutoriales y funciones o métodos de código, pero gracias a diversos colaboradores esto ha estado creciendo. Aquí va el primer resumen.

Código

C #

  • Generación de contraseñas encriptadas con MD5
  • Validación de un textbox para la entrada de caracteres mediante una expresión regular
  • Rellenar un datagridview con una consulta en SQL
  • Realizar una consulta mediante un SQLDataReader
  • Consultar fechas en SQL
  • PHP

  • Interfaz skinable (Hoja de estilo variable)
  • Guías

    Ubuntu

  • Instalación de controladores para tarjetas ATI
  • Instalación de controladores para tarjetas Nvidia
  • Instalación de controladores para webcam Microdia
  • Cambiar el color de los páneles en GNOME
  • Habilitar sonido mediante ALSA en Hardy Heron
  • Recuperar el sonido después de actualizar al kernel 2.6.24-19
  • Fedora

  • Instalación de repositorios Livna y búsqueda de dependencias
  • Conexión a una red inalámbrica desde consola
  • Cambiar el hostname del equipo
  • Todos GNU/Linux

  • Empaquetamiento
  • Invito a todos a colaborar. Lo más fuerte de Linux es su comunidad.

    Instalando PulseAudio en Gutsy

    pulseaudio
    Con el lanzamiento de Fedora 8, hace un mes aproximadamente, se hablaba de la inclusión de una aplicación llamada PulseAudio, la cual es un servidor de sonido para sistemas POSIX y Win32. Este servidor te permite entre muchas otras cosas controlar individualmente el sonido de cada aplicación pasando por el hardware del equipo, así como transferir el audio a una máquina diferente, cambiar el formato del sample o realizar mezclas de sonido fácilmente.
    Con estas referencias decidí probarlo en el Gutsy que tengo instalado. Para este Cómo me auxilio directamente del wiki de ubuntu.
    Continue reading

    Canonical Launchpad PPA para Desarrolladores

    El día de ayer, Canonical (el patrocinador comercial de Ubuntu) anunció el lanzamiento del servicio Lanzador de Archivos de Paquetes Personales (Launchpad ‘Personal Package Archive’), el cual permite empaquetar y publicar una nueva herramienta, modificar una existente, documentación, añadir una traducción, artwork o temas para la distribución, para desktop, servidor y dispositivos móviles.
    El servicio es un hosting para el desarrollo de Software Libre, proporciona 1Gb para cualquiera que se registre donde se podrán almacenar los recursos, posteriormente Launchpad generará los instaladores y creará un repositorio de donde podrá ser descargado el software.
    Canonical ha dado un paso muy fuerte, prueba de su énfasis en el desarrollo comunitario y rompiendo una barrera sicológica implícita en estos casos: la pertenencia a un equipo de desarrollo de software.
    Encuentro a ésta como una razón que hará mucho más fuerte a Ubuntu, y por tanto a Linux en general, espero pronto ver resultados destacables de esta nueva estrategia.

    PPA QuickStart
    Lista de paquetes en PPA

    Wicd: Administrador de redes.

    Por la mayoría es sabido que el Network-Manager de Gnome es un programa que deja mucho a desear. En muchas ocasiones no nos permite obtener recursos de red, principalmente las inalámbricas, o desconecta constantemente nuestro equipo del router, sumado a esto, veo que mis drivers ipw3945 no están muy bien elaborados, para lo cual ya se está trabajando en los drivers iwl3945 como sustitutos, aunque debido a que no fueron completados debidamente, en Ubuntu no se esperan por lo menos hasta la próxima versión. Entonces recurrí a la lista de Dell Linux Desktop para cuestionar a los usuarios sobre sus experiencias con Ubuntu Gutsy. En breve obtuve una sugerencia: usar Wicd en lugar del Network-Manager. La verdad es que ahora veo que la mayor parte del problema es el Network-Manager y no tanto mis controladores.
    Para instalarlo existen dos formas:
    1. Descargar el .deb de la página de wicd en SourceForge. Después desinstalar network-manager y network-manager-gnome. Por último instalar el .deb que se descargó haciendo doble clic sobre éste.
    2. Añadir la siguiente línea al sources.list, y posteriormente instalarlo mediante aptitude
    deb http://apt.wicd.net feisty extras
    Aunque se tenga Gutsy, el repositorio no ha cambiado.

    Al instalarlo se puede encontrar en el menú Internet -> Wicd. Nos aparece una pantalla como la siguiente
    wicd
    Donde podemos elegir la red a la que nos queremos conectar.
    Para añadirlo al inicio de sesión se tiene que ejecutar el comando
    /opt/wicd/tray.py
    Así lo tendremos cargado cada vez que arranque.

    Instalar paquetes mediante apt://

    Apt:// es una nueva forma en la que se pueden instalar paquetes en Ubuntu Gutsy mediante Firefox. No tiene nada que ver con el One Click Install de OpenSuse pero también proporciona una forma de recuperar los paquetes directamente de la web sin pasar por línea de comandos o por Synaptic. Lo único a considerar es que de antemano se debe saber el nombre del paquete a instalar para concluir satisfactoriamente, pueden ayudarse del argumento search en el aptitude para no errarle.
    El procedimiento es simple, simplemente se coloca apt:// como si de http:// o de ftp:// se tratara, posteriormente el nombre del paquete.
    aptweb
    Ahora la instalación continua como en Synaptic.
    aptweb
    Una nueva herramienta disponible en Gutsy.

    Instalación: Drivers ATI 8.42.3 en Ubuntu Gutsy

    Pues he terminado la instalación desde hace ya un rato, y estoy escribiendo mi primer post desde Gutsy. Lo primero: controladores. Gutsy viene con un Gestor de Controladores Restringidos, el cual permite habilitar o deshabilitar drivers que no cuentan con licencias libres. Para mi caso viene habilitado por default ipw3942, que es el driver de mi WiFi y con opción a habilitar el driver de la tarjeta ATI. Si se habilita este driver se instalará una versión muy anterior a la actual disponible, que como mencionamos anteriormente, tiene la opción de activar AiGLX para hacer uso de los efectos de Compiz Fusion. Así que procederemos a instalar los nuevos contrladores con el fin de primeramente: dejar de utilizar XGL para activar los efectos y en segunda: mejorar el consumo de memoria RAM del equipo. Aunque es cierto que con XGL, por el momento, se obtiene una mejor textura y visualización de los efectos, lo expuesto anteriormente y otras muchas razones me hacen inclinarme por los nuevos controladores.
    El controlador se descarga de la página oficial de ATI.
    Ahora solamente se dan permisos de ejecución y se ejecuta el instalador. De igual forma, puedes generar los paquetes para la distribución mediante la opción –buildpkg Ubuntu/gutsy, pero lo más simple es sólo ejecutar.
    chmod +x ati-driver-installer-8.42.3-x86.x86_64.run
    sudo ./ati-driver-installer-8.42.3-x86.x86_64.run
    Le damos Siguiente hasta que la instalación finalice.
    Ahora se inicializan los controladores nuevos.
    sudo aticonfig --initial
    sudo aticonfig --overlay-type=Xv
    Pues con esto terminamos 🙂 , resta reiniciar el entorno gráfico.
    Como ven, ahora no es necesario realizar compilaciones del módulo en el kernel y demás que se hacía en versiones anteriores. Ya se puede disfrutar de este controlador, el cuál, según dicen, es mucho mejor que el proporcionado para Window$ Vista.
    Ahora lo único que resta es agregar nuestro nuevo controlador a la lista blanca de controladores permitidos por compiz, esto es mediante:
    sudo gedit /etc/xdg/compiz/compiz-manager
    Añadimos la siguiente línea a este archivo
    WHITELIST="fglrx"
    Y claro que viene la captura de ley 🙂
    gutsycompiz